#*************************************************************************
#
#   OpenOffice.org - a multi-platform office productivity suite
#
#   $RCSfile: makefile.mk,v $
#
#   $Revision: 1.7 $
#
#   last change: $Author: rt $ $Date: 2005/09/07 21:30:05 $
#
#   The Contents of this file are made available subject to
#   the terms of GNU Lesser General Public License Version 2.1.
#
#
#     GNU Lesser General Public License Version 2.1
#     =============================================
#     Copyright 2005 by Sun Microsystems, Inc.
#     901 San Antonio Road, Palo Alto, CA 94303, USA
#
#     This library is free software; you can redistribute it and/or
#     modify it under the terms of the GNU Lesser General Public
#     License version 2.1, as published by the Free Software Foundation.
#
#     This library is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#     Lesser General Public License for more details.
#
#     You should have received a copy of the GNU Lesser General Public
#     License along with this library; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#     MA  02111-1307  USA
#
#*************************************************************************

PRJ=.

PRJNAME=sndfile
TARGET=sndfile

# --- Settings -----------------------------------------------------

.INCLUDE :	settings.mk

# --- Files --------------------------------------------------------

.IF "$(ENABLE_PASF)" != ""
.IF "$(SYSTEM_SNDFILE)" != "YES"

TARFILE_NAME=libsndfile-1.0.9

PATCH_FILE_NAME=libsndfile-1.0.9.patch

CONFIGURE_DIR=

CONFIGURE_ACTION=./configure --with-pic
.IF "$(COM)" == "GCC" && "$(OS)" != "MACOSX" && "$(OS)" != "FREEBSD"
CONFIGURE_FLAGS=LDFLAGS=-Wl,-noinhibit-exec
.ENDIF

BUILD_DIR=$(CONFIGURE_DIR)
BUILD_ACTION=$(GNUMAKE)

OUT2LIB= \
	$/src$/.libs$/libsndfile.*

OUT2INC= \
	$/src$/sndfile.h

# --- Targets ------------------------------------------------------


.INCLUDE :	set_ext.mk
.INCLUDE :	target.mk
.INCLUDE :	tg_ext.mk

.ELSE

dummy:
	@echo "Using system sndfile..."

.ENDIF
.ELSE  

dummy:
	@echo "Nothing to build for your platform"

.ENDIF
